<!-- Generated by pkgdown: do not edit by hand -->
<!DOCTYPE html>
<html lang="en">
  <head>
  <meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<title>Function reference • ghruR</title>


<!-- jquery -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
<!-- Bootstrap -->

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/css/bootstrap.min.css" integrity="sha256-bZLfwXAP04zRMK2BjiO8iu9pf4FbLqX6zitd+tIvLhE=" crossorigin="anonymous" />

<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha256-nuL8/2cJ5NDSSwnKD8VqreErSWHtnEP9E7AySL+1ev4=" crossorigin="anonymous"></script>

<!-- bootstrap-toc -->
<link rel="stylesheet" href="../bootstrap-toc.css">
<script src="../bootstrap-toc.js"></script>

<!-- Font Awesome icons -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous" />

<!-- clipboard.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script>

<!-- headroom.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script>

<!-- pkgdown -->
<link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script>




<meta property="og:title" content="Function reference" />




<!-- mathjax -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script>

<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->



  </head>

  <body data-spy="scroll" data-target="#toc">
    <div class="container template-reference-index">
      <header>
      <div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">ghruR</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.3.2</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <li>
  <a href="../index.html">
    <span class="fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
<li class="dropdown">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
    Articles
     
    <span class="caret"></span>
  </a>
  <ul class="dropdown-menu" role="menu">
    <li>
      <a href="../articles/analysing_ghru_data.html">Analysing GHRU Data</a>
    </li>
    <li>
      <a href="../articles/making_microreact_compatible_data.html">Making Microreact-compatible data from GHRU metadata and outputs</a>
    </li>
    <li>
      <a href="../articles/making_microreact_compatible_data_manually.html">Making Microreact-compatible data from GHRU metadata the manual way</a>
    </li>
    <li>
      <a href="../articles/ploting_GHRU_data.html">Making plots from GHRU data</a>
    </li>
    <li>
      <a href="../articles/plotting_upset_diagrams.html">Making upset plots from GHRU data</a>
    </li>
    <li>
      <a href="../articles/simple_concordance_example.html">Example of a simple concordance analysis</a>
    </li>
  </ul>
</li>
      </ul>
      <ul class="nav navbar-nav navbar-right">
        
      </ul>
      
    </div><!--/.nav-collapse -->
  </div><!--/.container -->
</div><!--/.navbar -->

      

      </header>

<div class="row">
  <div class="contents col-md-9">
    <div class="page-header">
      <h1>Reference</h1>
    </div>

    <table class="ref-index">

    <colgroup>
      
      <col class="alias" />
      <col class="title" />
    </colgroup>

    <tbody>
      <tr>
        <th colspan="2">
          <h2 id="section-google-sheet-functions" class="hasAnchor"><a href="#section-google-sheet-functions" class="anchor"></a>Google Sheet Functions</h2>
          <p class="section-desc"><p>A set of functions for getting data from Google Sheets</p></p>
        </th>
      </tr>
      
      
    </tbody><tbody>
      
      
      <tr>
        
        <td>
          <p><code><a href="get_googlesheet.html">get_googlesheet()</a></code> </p>
        </td>
        <td><p>get_googlesheet</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="get_data.html">get_data()</a></code> </p>
        </td>
        <td><p>get_data</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="get_country_urls.html">get_country_urls()</a></code> </p>
        </td>
        <td><p>get_country_urls</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="get_country_url.html">get_country_url()</a></code> </p>
        </td>
        <td><p>get_url_for_country</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="get_data_type_urls.html">get_data_type_urls()</a></code> </p>
        </td>
        <td><p>get_data_type_urls</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="get_data_type_url.html">get_data_type_url()</a></code> </p>
        </td>
        <td><p>get_data_type_url</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="get_data_for_country.html">get_data_for_country()</a></code> </p>
        </td>
        <td><p>get_data_for_country</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="print_data_types_for_country.html">print_data_types_for_country()</a></code> </p>
        </td>
        <td><p>print_data_types_for_country</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="print_data_types.html">print_data_types()</a></code> </p>
        </td>
        <td><p>print_data_types</p></td>
      </tr>
    </tbody><tbody>
      <tr>
        <th colspan="2">
          <h2 id="section-microreact-metadata-manipulation-functions" class="hasAnchor"><a href="#section-microreact-metadata-manipulation-functions" class="anchor"></a>Microreact metadata manipulation functions</h2>
          <p class="section-desc"><p>A set of functions for making metadata for Microreact</p></p>
        </th>
      </tr>
      
      
    </tbody><tbody>
      
      
      <tr>
        
        <td>
          <p><code><a href="make_microreact_metadata_for_country.html">make_microreact_metadata_for_country()</a></code> </p>
        </td>
        <td><p>make_microreact_metadata_for_country</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="make_microreact_metadata_for_all_units.html">make_microreact_metadata_for_all_units()</a></code> </p>
        </td>
        <td><p>make_microreact_metadata_for_all_units</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="make_microreact_metadata.html">make_microreact_metadata()</a></code> </p>
        </td>
        <td><p>make_microreact_metadata</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="clean_data.html">clean_data()</a></code> </p>
        </td>
        <td><p>clean_data</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="colour_acquired_amr_data.html">colour_acquired_amr_data()</a></code> </p>
        </td>
        <td><p>colour_acquired_amr_data</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="colour_point_amr_data.html">colour_point_amr_data()</a></code> </p>
        </td>
        <td><p>colour_point_amr_data</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="colour_dataframe.html">colour_dataframe()</a></code> </p>
        </td>
        <td><p>colour_dataframe</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="get_country_colours.html">get_country_colours()</a></code> </p>
        </td>
        <td><p>get_country_colours</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="get_country_locations.html">get_country_locations()</a></code> </p>
        </td>
        <td><p>get_country_locations</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="get_sentinel_site_colours.html">get_sentinel_site_colours()</a></code> </p>
        </td>
        <td><p>get_sentinel_site_colours</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="fill_missing_epi_data.html">fill_missing_epi_data()</a></code> </p>
        </td>
        <td><p>fill_missing_epi_data</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="fill_missing_metadata.html">fill_missing_metadata()</a></code> </p>
        </td>
        <td><p>fill_missing_metadata</p></td>
      </tr>
    </tbody><tbody>
      <tr>
        <th colspan="2">
          <h2 id="section-amr-data-functions" class="hasAnchor"><a href="#section-amr-data-functions" class="anchor"></a>AMR data functions</h2>
          <p class="section-desc"><p>A set of functions for parsing AMR data</p></p>
        </th>
      </tr>
      
      
    </tbody><tbody>
      
      
      <tr>
        
        <td>
          <p><code><a href="get_ncbi_amr_metadata.html">get_ncbi_amr_metadata()</a></code> </p>
        </td>
        <td><p>get_ncbi_amr_metadata</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="get_point_mutation_metadata.html">get_point_mutation_metadata()</a></code> </p>
        </td>
        <td><p>get_point_mutation_metadata</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="wide_amr_data_to_long.html">wide_amr_data_to_long()</a></code> </p>
        </td>
        <td><p>wide_amr_data_to_long</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="filter_long_data.html">filter_long_data()</a></code> </p>
        </td>
        <td><p>filter_long_data</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="extract_nucleotide_accession.html">extract_nucleotide_accession()</a></code> </p>
        </td>
        <td><p>extract_nucleotide_accession</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="annotate_amr_data.html">annotate_amr_data()</a></code> </p>
        </td>
        <td><p>annotate_amr_data</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="wide_point_amr_data_to_long.html">wide_point_amr_data_to_long()</a></code> </p>
        </td>
        <td><p>wide_point_amr_data_to_long</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="get_annotated_point_amr_data.html">get_annotated_point_amr_data()</a></code> </p>
        </td>
        <td><p>get_annotated_point_amr_data</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="replace_ariba_cluster_names.html">replace_ariba_cluster_names()</a></code> </p>
        </td>
        <td><p>replace_ariba_cluster_names</p></td>
      </tr>
    </tbody><tbody>
      <tr>
        <th colspan="2">
          <h2 id="section-whonet-functions" class="hasAnchor"><a href="#section-whonet-functions" class="anchor"></a>WHONET functions</h2>
          <p class="section-desc"><p>A set of functions for obtaining WHONET metadata</p></p>
        </th>
      </tr>
      
      
    </tbody><tbody>
      
      
      <tr>
        
        <td>
          <p><code><a href="whonet_species_map.html">whonet_species_map()</a></code> </p>
        </td>
        <td><p>whonet_species_map</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="whonet_drug_codes.html">whonet_drug_codes()</a></code> </p>
        </td>
        <td><p>whonet_drug_codes</p></td>
      </tr>
    </tbody><tbody>
      <tr>
        <th colspan="2">
          <h2 id="section-plotting-functions" class="hasAnchor"><a href="#section-plotting-functions" class="anchor"></a>Plotting functions</h2>
          <p class="section-desc"><p>A set of functions for counting and plotting GHRU data</p></p>
        </th>
      </tr>
      
      
    </tbody><tbody>
      
      
      <tr>
        
        <td>
          <p><code><a href="count_samples_by_sentinel_site.html">count_samples_by_sentinel_site()</a></code> </p>
        </td>
        <td><p>count_samples_by_sentinel_site</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="count_sts.html">count_sts()</a></code> </p>
        </td>
        <td><p>count_sts</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="count_most_frequent_sts.html">count_most_frequent_sts()</a></code> </p>
        </td>
        <td><p>count_most_frequent_sts</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="count_sts_by_sentinel_site.html">count_sts_by_sentinel_site()</a></code> </p>
        </td>
        <td><p>count_sts_by_sentinel_site</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="count_most_frequent_sts_per_sentinel_site.html">count_most_frequent_sts_per_sentinel_site()</a></code> </p>
        </td>
        <td><p>count_most_frequent_sts_per_sentinel_site</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="count_AMR_subclasses_by_sentinel_site.html">count_AMR_subclasses_by_sentinel_site()</a></code> </p>
        </td>
        <td><p>count_AMR_subclasses_by_sentinel_site</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="count_gene_families_by_sentinel_site.html">count_gene_families_by_sentinel_site()</a></code> </p>
        </td>
        <td><p>count_gene_families_by_sentinel_site</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="count_alleles_by_sentinel_site.html">count_alleles_by_sentinel_site()</a></code> </p>
        </td>
        <td><p>count_alleles_by_sentinel_site</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="plot_sts.html">plot_sts()</a></code> </p>
        </td>
        <td><p>plot_sts</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="plot_most_frequent_sentinel_site_sts.html">plot_most_frequent_sentinel_site_sts()</a></code> </p>
        </td>
        <td><p>plot_most_frequent_sentinel_site_sts</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="plot_AMR_subclasses_by_sentinel_site.html">plot_AMR_subclasses_by_sentinel_site()</a></code> </p>
        </td>
        <td><p>plot_AMR_subclasses_by_sentinel_site</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="dot_plot_gene_family_counts_by_sentinel_site.html">dot_plot_gene_family_counts_by_sentinel_site()</a></code> </p>
        </td>
        <td><p>dot_plot_gene_family_counts_by_sentinel_site</p></td>
      </tr><tr>
        
        <td>
          <p><code><a href="plot_allele_counts_by_sentinel_site.html">plot_allele_counts_by_sentinel_site()</a></code> </p>
        </td>
        <td><p>plot_allele_counts_by_sentinel_site</p></td>
      </tr>
    </tbody>
    </table>
  </div>

  <div class="col-md-3 hidden-xs hidden-sm" id="pkgdown-sidebar">
    <nav id="toc" data-toggle="toc" class="sticky-top">
      <h2 data-toc-skip>Contents</h2>
    </nav>
  </div>
</div>


      <footer>
      <div class="copyright">
  <p>Developed by CGPS team.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.6.1.</p>
</div>

      </footer>
   </div>

  


  </body>
</html>


